Summary: Deck-It WML Previewer
Name: deckit
Version: 1.2.4
Release: 2
Copyright: non-free
Vendor: PyWeb.com
ExclusiveArch: i386
ExclusiveOS: Linux
Group: Applications/Internet
Source: http://www.pyweb.com/deck-it/%{name}-%{version}.tar.gz
Patch: %{name}-install.patch
URL: http://www.pyweb.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Deck-it is a package composed of two applications that help
user to develop WML site using our set of tags.
  o Deck-it Browser is phone emulator wich can:
     - browse WML sites,
     - browse HTML Web sites, transcoded in WML on the fly.
  o Deck-it WBMP Builder helps you to generate the argument list
    for our image conversion tool inside your page (wmlimg tag).

%prep
%setup -n deckit
%patch -p1 -b .orig

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/deckit
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

cp -a BWidget tcl8.2 tk8.2 ${RPM_BUILD_ROOT}%{_libdir}/deckit
cp -a libptcl8.2.so libptk8.2.so ${RPM_BUILD_ROOT}%{_libdir}/deckit
cp -a *.sh ${RPM_BUILD_ROOT}%{_libdir}/deckit
# This is a dirty hack to avoid the automatic stripping of binaries
# hardwired into rpm
install -m 644 *.bin ${RPM_BUILD_ROOT}%{_libdir}/deckit
for i in deckit wbmp ; do
cat << EOF > ${RPM_BUILD_ROOT}%{_bindir}/${i}
#!/bin/bash

LD_LIBRARY_PATH=%{_libdir}/deckit %{_libdir}/deckit/${i}.bin "\$@"

EOF
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README
%attr(0755, root, root) %{_bindir}/deckit
%attr(0755, root, root) %{_bindir}/wbmp
%dir %{_libdir}/deckit/
%{_libdir}/deckit/BWidget
%{_libdir}/deckit/tcl8.2
%{_libdir}/deckit/tk8.2
%attr(0755, root, root) %{_libdir}/deckit/*.so
%attr(0755, root, root) %{_libdir}/deckit/*.bin
%attr(0755, root, root) %{_libdir}/deckit/*.sh
